#language: ru

@demo_base_milk
@mutual_settlements

Функционал: 001. mutual_settlements. Создание общей НСИ

Сценарий: 001.1. mutual_settlements. Создание организации Нижегородский МК

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "03.fill_mutual_settlements"
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Организации'
	Тогда я жду открытия окна 'Организации' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда я жду открытия окна 'Организация (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'Нижегородский МК'
	И я разворачиваю группу с именем "ЮридическиеДанные"
	И в поле 'Наименование (сокращенное)' я ввожу текст 'ООО \"Нижегородский МК\"'
	И в поле 'Наименование (международное)' я ввожу текст 'Nizhniy Novgorod MK'
	И в поле 'Наименование (полное)' я ввожу текст 'Общество с ограниченной ответственностью \"Нижегородский МК\"'
	И в поле 'ИНН' я ввожу текст '9123225337'
	И в поле 'КПП' я ввожу текст '912322533'
	И в поле 'ОГРН' я ввожу текст '1876567890456'
	И в поле 'Префикс GS1' я ввожу текст '457'
	И в поле 'ОКПО' я ввожу текст '12956678'
	И в поле 'Код ОКВЭД' я ввожу текст '436'
	И я разворачиваю группу с именем "ГруппаКонтактнаяИнформация"
	И в поле 'Адрес' я ввожу текст '609652, Нижний Новгород г, ул. Волжская, дом № 32'
	И в поле 'Телефон' я ввожу текст '+79181865833'
	И я нажимаю на кнопку '+телефон, адрес'
	И в меню формы я выбираю 'Электронная почта'
	И в поле 'Электронная почта' я ввожу текст 'nizhniynovgorod.mk@mail.ru'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Организация (Организация) *' в течение 20 секунд
	Тогда я жду открытия окна 'Организации' в течение 20 секунд
	И Я закрываю окно 'Организации'

Сценарий: 001.2. mutual_settlements. Создание ответственных лиц и банковского счета для организации Нижегородский МК

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Организации'
	Тогда я жду открытия окна 'Организации' в течение 20 секунд
	* Заполнение ответственных лиц и банковского счета для организации
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'     |
			| 'Нижегородский МК' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Нижегородский МК (Организация)'
		И я разворачиваю группу с именем "ОтветственныеЛица"
		И я нажимаю на кнопку 'Все лица с правом подписи'
		Тогда открылось окно 'Лицо с правом подписи'
		И Я начинаю создавать ответственное лицо "Алексеев И.Н." в должности "Руководитель" с наименованием "Алексеев И."
		И в поле 'Период действия с' я ввожу текст '01.01.2000'
		И в поле 'Представление должности для печати' я ввожу текст 'Директор'
		И я заканчиваю создавать ответственное лицо
		И Я начинаю создавать ответственное лицо "Веселов М.К." в должности "Главный бухгалтер" с наименованием "Веселов М."
		И в поле 'Период действия с' я ввожу текст '01.02.2000'
		И я заканчиваю создавать ответственное лицо
		И Я закрываю окно 'Лицо с правом подписи'
		Тогда открылось окно 'Нижегородский МК (Организация)'
		И я нажимаю на кнопку создать поля "Основной банковский счет"
		Тогда открылось окно 'Банковский счет (создание)'
		И в поле с именем 'Наименование' я ввожу текст 'СберБанк'
		И в поле 'Номер счета' я ввожу текст '40802810938110513654'
		И в поле "Валюта" я ввожу текст "RUB"
		И в поле с именем 'БИКБанка' я ввожу текст '046588270'
		И я перехожу к следующему реквизиту
		Тогда открылось окно 'Выбор банка из классификатора'
		И я нажимаю на кнопку 'Продолжить ввод'
		Тогда открылось окно 'Банковский счет (создание) *'
		И Я заканчиваю создавать банковский счет
		Тогда открылось окно 'Нижегородский МК (Организация) *'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Нижегородский МК (Организация) *' в течение 20 секунд
		Тогда открылось окно 'Организации'
	И Я закрываю окно 'Организации'

Сценарий: 001.3. mutual_settlements. Создание серий для номенклатур

	И Я создаю серию для "Молоко 3,2 %" с номером "000001" датой выпуска "01.03.2021" и датой годности "31.03.2021"
	И Я создаю серию для "Кефир" с номером "000001" датой выпуска "01.03.2021" и датой годности "31.03.2021"
	И Я создаю серию для "Творог" с номером "000001" датой выпуска "01.03.2021" и датой годности "31.03.2021"

Сценарий: 001.4. mutual_settlements. Создание причины возврата
	
	И Я создаю причину возврата "Товар не подходит" с комментарием "Товар не подошел заказчику" для продаж